%global project copy_jdk_configs
%global file %{project}.lua
%global rpm_state_dir %{_localstatedir}/lib/rpm-state

Name:    copy-jdk-configs
Version: 1.2
Release: 1
Summary: JDKs configuration files copier
Group:   Development/Java
License:  BSD
URL:      https://hg.fedorahosted.org/hg/%{project}
Source0:  https://hg.fedorahosted.org/hg/copy_jdk_configs/raw-file/%{project}-%{version}/%{file}
Source1:  https://hg.fedorahosted.org/hg/copy_jdk_configs/raw-file/%{project}-%{version}/LICENSE

# we need to duplicate msot of the percents in that script so they survive rpm expansion (even in that sed they have to be duplicated)
%global pretrans_install %(cat %{SOURCE0} | sed s/%%/%%%%/g | sed s/\\^%%%%/^%%/g) 

BuildArch: noarch

BuildRequires: lua
Requires: lua
Requires: lua-posix

%description
Utility script to transfer JDKs configuration files between updates or for
archiving.

%prep
cp -a %{SOURCE1} .


%build
#blob

%pretrans -p <lua>
function createPretransScript()
-- the sript must be available during pretrans, so multiply it to tmp
  os.execute("mkdir -p %{rpm_state_dir}")
  temp_path="%{rpm_state_dir}/%{file}"
-- print("generating " .. temp_path)
  file = io.open(temp_path, "w")
  file:write([[%{pretrans_install}]])
  file:close()
end

-- in netinst, the above call may fail. pcall should save instalation (as there is nothing to copy anyway)
-- https://bugzilla.redhat.com/show_bug.cgi?id=1295701
-- todo, decide whether to check for {rpm_state_dir} and skip on not-existing, or keep creating
if pcall(createPretransScript) then
-- ok
else
--  print("Error running %{name} pretrans.")
end

%install
mkdir -p %{buildroot}/%{_libexecdir}
cp -a %{SOURCE0} %{buildroot}/%{_libexecdir}/%{file}

%posttrans
# remove file created in pretrans
# echo "removing %{rpm_state_dir}/%{file}" || :
rm "%{rpm_state_dir}/%{file}" 2> /dev/null || :

%files 
%{_libexecdir}/%{file}
%doc LICENSE

%changelog

* Fri Sep 23 2016 Denis Silakov <dsilakov@gmail.com> 1.2-1
- (b4fb71a) Imported from SRPM


